<?php

/** * @description This php script contains all the stuff to display evaluate
 *  * @authors Patricia Alves Rodrigues and Leônidas O. Brandão
 *  * @version $Id: grade.php$ v 1.0 2010/09/27$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2010/12/21
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */


 require_once("../../config.php");

    $id   = required_param('id', PARAM_INT);  // Course module ID
    if (! $cm = get_coursemodule_from_id('ia', $id)) {
        error("Course Module ID was incorrect");
    }

    if (! $ia = get_record("ia", "id", $cm->instance)) {
        error("lesson ID was incorrect");
    }

    if (! $course = get_record("course", "id", $ia->course)) {
        error("Course is misconfigured");
    }

    require_login($course->id, false, $cm);

  
require ("$CFG->dirroot/mod/ia/ia.class.php");

$iainstance = new ia($ia, $cm, $course);

 if (has_capability('mod/ia:viewreport', get_context_instance(CONTEXT_MODULE, $cm->id))){
    $iainstance->action='report';
    $iainstance->stats();
 }
 elseif(has_capability('mod/ia:submitassign', get_context_instance(CONTEXT_MODULE, $cm->id)))
         $iainstance->stats_students();
 else
      $iainstance->view();

?>