<?php

/**
  * @description CAUTION!!!! This php script contains all the stuff to secure access to interactive activities
  *              Cames from 'ia.class.php: view_iMA_file($ia_assign, $student_answer,$enderecoPOST, $view)'
  * @authors Patricia Alves Rodrigues and Leônidas O. Brandão
  * @version $Id: ima_security.php$ v 1.0 2010/12/10$
  * @package iAssign: Intective Assignments
  * @last modification date 2010/12/21
  *
  * iMatica - iMath (http://www.matematica.br)
  * Computer Science Dep. of IME-USP (Brazil)
  **/

require_once("../../config.php");

$DEBUG = 1; //Debug: help to debug, take note of file em 'MOODLE/mod/ia/ilm_debug/int_YYYY_mm_dd'

$view = isset($_GET['view']) ? $_GET['view'] : "";
$token = isset($_GET['token']) ? $_GET['token'] : "";
$id = isset($_GET['id']) ? $_GET['id'] : ""; //id of the table ia_assign_security

// Debug
if ($DEBUG) {
   $file_name = "ilm_debug/" . $id . "_" . date('Y') . "_" . date('m') . "_" . date('d');
   $file_debug = "id=" . $id . "<br/>\nview=" . $view . "<br/>\ntoken=" . $token;
   }

$ia_assign_security = get_record("ia_assign_security", "id", $id);
//TRICK...
if (!$ia_assign_security) { //Debug
   $id0 = $id;
   $id += 1; // try with "+1"
   $file_debug .= "Try with: id=" . $id . "<br/>\nview=" . $view . "<br/>\ntoken=" . $token;
   $ia_assign_security = get_record("ia_assign_security", "id", $id);
   }


$stringDebugAux = "";
if ($ia_assign_security) {
   $stringDebugAux .= "1: ia_assign_security OK\n";
   $update->id = $ia_assign_security->id;
   $update->view = $ia_assign_security->view + 1;
   update_record("ia_assign_security",$update);

   //Debug: estava '$update->view==2' mas no Epyphany e Chrome chegava aqui com valor 1...
   if ($update->view < 3 and $token == md5($ia_assign_security->timecreated)) {//
      $stringDebugAux .= "2: ia_assign_security OK\n";
      delete_records("ia_assign_security", "id", $id);
      if ($view)
         $string = file_get_contents($ia_assign_security->file);
      else
         $string = $ia_assign_security->file;
      print $string;
      }
   else {
      if ($DEBUG)
         $stringDebugAux .= "2: NAO: update->view=" . $update->view . "\n" . $token . "=" . md5($ia_assign_security->timecreated) . "?";
      }
   }
else {
   if ($DEBUG)
      $stringDebugAux .= "3: NAO: ia_assign_security: update->view=" . $update->view . "\n" . $token . "=" . md5($ia_assign_security->timecreated) . "?";
   }

//TRICK: delete old security row (in data base)
delete_records("ia_assign_security", "ia_assign_id", $id, "user_id", $USER->id);

if ($DEBUG) {
   $fpointer = fopen($file_name, "w");
   $file_debug .= "\nAuxiliary information: " . $stringDebugAux . "";
   $file_debug .= "\nContent iLM file: |" . $string . "|";
   fwrite($fpointer, "From: ./mod/ia/ima_security.php<br/>\n" . $file_debug);
   fclose($fpointer);
   }

mysql_query("FLUSH TABLES WITH READ LOCK");

?>
