<?php 

/** * @description Form to add and edit instance of iAssign
 *  * @authors Patricia Alves Rodrigues and Leônidas O. Brandão
 *  * @version $Id: mod_form.php$ v 1.0 2010/09/27$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2010/12/21
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */

require_once ('moodleform_mod.php');

class mod_ia_mod_form extends moodleform_mod {

    function definition() {
        global $CFG, $COURSE, $USER;

         $mform    =& $this->_form;
//-------------------------------------------------------------------------------
        /// Adding the "title_type_assign" fieldset, where all the common settings are showed

         $mform->addElement('header', 'general', get_string('general', 'ia'));

   
        /// Adding the standard "name" field
        $mform->addElement('text', 'name', get_string('iatitle', 'ia'), array('size'=>'55'));
        $mform->setType('name', PARAM_TEXT);
        $mform->addRule('name', null, 'required', null, 'client');

        $mform->addElement('selectyesno', 'activity_group', get_string('activity_group', 'ia'));
        $mform->setDefault('activity_group', 1);
        $mform->setHelpButton('activity_group', array('activity_group', get_string('activity_group', 'ia'), 'ia'));

  //-------------------------------------------------------------------------------
        // add standard elements, common to all modules
        $features = new stdClass;
        $features->groups = false;
        $features->groupings = false;
        $features->groupmembersonly = false;
        $features->gradecat = false;
        $features->idnumber = false;
        $this->standard_coursemodule_elements($features );

//-------------------------------------------------------------------------------
        // add standard buttons, common to all modules
        $this->add_action_buttons();
    }
}

?>
