<?php 

/** * @description This php script contains all the stuff to display iAssign
 *  * @authors Patricia Alves Rodrigues and Leônidas O. Brandão
 *  * @version $Id: view.php$ v 1.0 2010/09/27$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2010/12/21
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */

require_once("../../config.php");
require_once("lib.php");
 
//Parameters GET e POST (parâmetros GET e POST)
$id = optional_param('id', 0, PARAM_INT); // Course Module ID
$a = optional_param('a', 0, PARAM_INT); //  IA id

if ($id) {
    if (! $cm = get_record("course_modules", "id", $id)) {
        error("Course Module ID was incorrect");
    }
    if (! $course = get_record("course", "id", $cm->course)) {
        error("Course is misconfigured");
    }
    if (! $ia = get_record("ia", "id", $cm->instance)) {
        error("Course module is incorrect");
    }
}
else {
    if (! $ia = get_record("ia", "id", $a)) {
        error("Course module is incorrect");
    }
    if (! $course = get_record("course", "id", $ia->course)) {
        error("Course is misconfigured");
    }
    if (! $cm = get_coursemodule_from_instance("ia", $ia->id, $course->id)) {
        error("Course Module ID was incorrect");
    }
}

require_login($course, true, $cm);

require ("$CFG->dirroot/mod/ia/ia.class.php");

$iainstance = new ia($ia, $cm, $course);
$iainstance->view();   // Actually display the ia!


?>
