<?PHP 

/** * @description This class provides all the functionality for an ia (interactive activities)
 *  * @authors Patricia Alves Rodrigues and Leônidas O. Brandão
 *  * @version $Id: ia.class.php$ v 1.0 2012/01/10$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2012/01/10
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */

class block_editor_ima extends block_base {
    function init() {
        $this->title = get_string('blocktitle','block_editor_ima');
        $this->version = 2012010900;//yyyymmdd00
    }

    function get_content() {
        global $USER, $CFG, $COURSE;

        if ($this->content !== NULL) {
            return $this->content;
        }
        
        $context = get_context_instance(CONTEXT_COURSE, $COURSE->id);
          
        $this->content = new stdClass;
        $this->content->text = '';
        $this->content->footer = '';
        
         //   }
        
        if (empty($this->instance) or empty($USER->id) or isguest() or (!has_capability('moodle/legacy:editingteacher', $context, $USER->id))) {
            return $this->content;
        }
        
        $this->content->footer = '<a href="'.$CFG->wwwroot.'/blocks/editor_ima/editor_ima.php?id='.$COURSE->id.'" onclick="this.target=\'message\'; return openpopup(\'/blocks/editor_ima/editor_ima.php?id='.$COURSE->id.'\', \'message\', \'menubar=0,location=0,scrollbars,status,resizable,"fullscreen=yes"\', 0);">'.get_string('new_edit', 'block_editor_ima').'</a>...';

        return $this->content;
    }
}

?>
