<?php

/** * @description English language pack.
 *  * @author Patricia Alves Rodrigues and Leônidas O. Brandão
 *  * @version $Id: ia.php$ v 1.0 2010/09/27$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2010/12/21
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */
/*------------------------------------------------------------------------------------ 
 * @author: Luciano Oliveira Borges
 * @last modification date 2013/04/02
------------------------------------------------------------------------------------ */
$string['online_new_ia'] = 'Create / Edit Task Interactive Online';
$string['error_null_ia'] = 'ERROR: The exercise is empty, we could not save !!!';
$string['error_write_ia'] = 'ERROR: Could not save the task interactive !!!';
$string['label_write_ia'] = 'Save Activity';
$string['sucess_write_ia'] = '$a recorded interactive task successfully in the current directory !!!';
$string['overwrite_file_ia'] = 'This action will overwrite the file, you want to continue?';
$string['title_editor_ia'] = 'Online Editor';
$string['help_button_ia'] = 'Help with Online Editor (new window)';
$string['label_author_ia'] = 'Author: ';
$string['label_title_ia'] = 'Title: ';
$string['label_course_ia'] = 'Course: ';
$string['label_file_ia'] = 'File Name: ';
$string['question_version_ia'] = 'This file already exists, check to generate a new version of this file.';
//------------------------------------------------------------------------------------ 
$string['IA'] = 'TI';
$string['modulename'] = 'iAssign';
$string['modulenameplural'] = 'iAssigns';
$string['iaintro'] = 'Introduction to Module iAssign';
$string['ianame'] = 'Interactive Assignment';
$string['iatitle'] = 'Title';
$string['iafieldset'] = 'Specific configurations';
$string['proposition'] = 'Proposition';
$string['out_object'] = 'Objetos de saída';
$string['extension'] = 'Extension';
$string['width'] = 'Width';
$string['heigth'] = 'Heigth';
$string['evaluate']='Auto evaluate';
$string['applet'] = 'E-E-Learning Modules(Applet)';
$string['answer'] = 'answer';
$string['comment'] = 'Comments';
$string['grade'] = 'Maximum score';
$string['general'] = 'General';
$string['file'] = 'File activity';
$string['filenotfound'] = 'File not found in the activity. Notify the teacher';
$string['updatinga'] = 'Update $a';
$string['updatingain'] = 'Updanting  $a->what - $a->in';
$string['error_add'] = 'An error occurred while recording the activity';
$string['error_update'] = 'An error occurred during the update of the activity. Notify the administrator.';
$string['error_update_move_assign'] = 'An error occurred while updating the &quot;move action activity&quot;';
$string['error_update_visible_assign'] = 'An error occurred during the update action show / hide activity';
$string['error_insert'] = 'An error occurred when writing the submission of the assign;';
$string['timemodified'] = 'Last date of submission:';
$string['experiment'] = 'Number of attempts:';
$string['sum_experiment'] = 'Total Attempts';
$string['avg_experiment'] = 'Average attempts';
$string['showreport'] = 'Displays activities report';
$string['no_activity'] = 'No assign was found in this interactive discussion';
$string['delete_activity'] = 'Activity to be deleted:';
$string['number_submissions'] = 'Number of submissions related to this activity:';
$string['delete_activity_permission_adm']='Only the administrator can delete activities with submissions.';
$string['not_submissions_activity'] = 'There are no submissions relating to this activity.';
$string['what_do'] = 'What to do?';
$string['status'] = 'Status:';
$string['incorrect'] = 'Incorrect';
$string['correct'] = 'Correct';
$string['not_post'] = 'Not submitted';
$string['post'] = 'Submitted';
$string['repeat'] = 'Redo activity';
$string['turneditingoff'] = 'Disable editing';
$string['turneditingon'] = 'Enable editing';
$string['area_available'] = 'Assessment area';
$string['assign_exercise'] = 'Activity has been exercise';
$string['student'] = 'Student:';
$string['students'] = 'Students';
$string['solution'] = 'Solution submitted by the student';
$string['report'] = 'Report';
$string['availabledate'] = 'Available from';
$string['duedate'] = 'Delivery Date';
$string['preventlate'] = 'Allow delayed sending?';
$string['permission_test'] = 'Allow test after delivery?';
$string['duedate_preventlate_enable'] = 'The resolution of this activity can still be sent.';
$string['duedate_preventlate_desable'] = 'The resolution of this activity can not be sent.';
$string['get_answer_preventlate'] = 'Delivery period ended, his reply was not recorded.';
$string['test_preventlate'] = 'Activity only for testing.';
$string['test_preventlate_no'] = 'Activity not released for testing.';
$string['graphic'] = 'Graphics';
$string['print'] = 'Print';
$string['print_report'] = 'Report - printable version';
$string['legend'] = 'Caption:';
$string['legend_evaluation'] = 'Caption reviews:';
$string['legend_assign'] = 'Caption activity:';
$string['ps_experiment'] = 'The number of attempts is next to the icon status of the activity';
$string['ps_comment'] = 'The total number of messages is next to the icon of messages';
$string['Y_legend'] = '(according to what the teacher expected)';
$string['N_legend'] = '(does not agree with what the teacher expected)';
$string['empty_legend'] = '(activity was not sent)';
$string['Y'] = 'S';
$string['yes'] = 'Yes';
$string['N'] = 'N';
$string['no'] = 'No';
$string['empty'] = '-';
$string['total'] = 'Total';
$string['sum_correct'] = 'Total correct';
$string['sum_correct_student'] = 'Total correct / students';
$string['sum_correct_activity'] = 'Total correct / activity';
$string['get_answer'] = 'Solution successfully sent.';
$string['get_answer_correct'] = 'Congratulations! The answer is in line with what the teacher expected.';
$string['get_answer_incorrect'] = 'The answer is not according to what the teacher expected.<br> Try again.';
$string['get_answer_post'] = 'Activity without automatic evaluator. Wait for teacher evaluation.';
$string['empty_answer_post'] = 'No solution was posted.';
$string['auto_result'] = 'Result of automatic evaluation:';

$string['extensionnotfound'] = 'No E-Learning Modules was found with that extension';
$string['submissions'] = 'Submissions';
$string['error_confirms_jar']='Error: file not found in the database. Inform the system administrator.';
$string['E_legend'] = '(activity sent) ';
$string['E'] = 'E';
$string['error_confirms_gab']='Error: the file activity is incompatible with the iLM. Inform the teacher of the course.';
$string['error_confirms_ima']='Error: iLM not registered in the database. Inform the system administrator.';
$string['error_view_ima']='Error: exercise file not found. Inform the teacher of the course.';
$string['interactivy_learning_module'] = 'Interactive E-Learning Modules';
$string['choose_iMA'] = 'Choose the iLM';
$string['iMA_extension'] = 'Interactive E-Learning Modules';
$string['iMA'] = 'iLM';
$string['name_ima'] = 'Name of the iLM';
$string['data_file_jar'] = 'Data File JAR';
$string['category'] = 'Category';
$string['new_category'] = 'New category';
$string['category_ima_new'] = 'This iLM is a version of some existing?';
$string['category_ima_yes'] = 'If Yes, which:';
$string['op_val']='options evaluation';
$string['type_assign']='Type of activity';
$string['choose_type_assign']='Choose the type of activity';
$string['evaluate_assign']='Evaluating activity';
$string['data_activity']='Information activity';
$string['duration_activity']='Duration of activity';
$string['data_ima']='Information iMA';
$string['test_assign']='Type of activity:<strong> test</strong>';
$string['example_assign']='Type of activity:<strong> example</strong>';
$string['exercise_assign']='Type of activity:<strong> exercise</strong>';
$string['no_MA_POST_Archive']='No solution was posted.';
$string['grade']='Grade activity:';
$string['grades']='Archive of reviews';
$string['grade_assign']='Grade activity';
$string['grade_student']='Grade student';
$string['changeto']='Change to&nbsp;';
$string['newsituation']='New situation...';
$string['area_specific_teacher']='Area for teacher testing activities';
$string['last_modification']='Last change made by teacher:';
$string['config']='Settings';
$string['config_ima']='Settings for Interactive Learning Modules (iLM)';
$string['config_ima_old']='Settings for Interactive Learning Modules (iLM) - old versions';
$string['visible']='Visible';
$string['show']='Show';
$string['hide']='Hide';
$string['results'] = 'Results';
$string['distribution_activity']='Distribution of hits per activity';
$string['percentage_correct']='Percentage of correct';
$string['proportion_correct']='Proportion of correct';
$string['distribution_student']='Distribution of hits per studant';
$string['statistics']='Statistics';
$string['sum_activity']='Total activity';
$string['sum_student']='Total studants';
$string['mean_score']='Mean scores';
$string['standard_deviation']='Standard deviation';
$string['coefficient_variation']='Coefficient of variation';
$string['assign_update']='Activity successfully updated.';
$string['assign_add']='Activity successfully added.';
$string['assign_cancel']='Change canceled.';
$string['add_ia']='Adding a Activity Interactive';
$string['edit_ia']='Editing a Activity Interactive';
$string['add_ima']='Adding iLM';
$string['edit']='Edit';
$string['update']='Update';
$string['empty_file']='Empty file';
$string['null_file']='No file was uploaded';
$string['invalid_file_type']='Invalid file type';
$string['error_file_jar']='Error writing file jar';
$string['error_add_ima']='Error while recording a new iLM in the database.';
$string['error_edit_ima']='Error while updating a new iLM in the databases.';
$string['error_rename_ima']='Error renaming file jar.';
$string['error_update_ima']='Error updating iMA.';
$string['invalid_name_ima']='There is already a iLM with the name';
$string['invalid_extension_ima']='There is already a iLM with the extension ';
$string['invalid_filejar_ima']='There is already a iLM with the file jar ';
$string['auto_evaluate']='It has automatic evaluator?';
$string['new_ima']=' was successfully inserted.';
$string['edit_ima']=' was successfully changed.';
$string['update_ima']=' was successfully updated.';
$string['last_assign_correct']='The last solution sent this activity was evaluated as correct.';
$string['update_assign']='Replace activity?';
$string['message_update_assign']='Click here to replace activitye';
$string['message_no_update_assign']='Click here to keep activity';
$string['return']='Return';
$string['return_assign']='Back to exercise';
$string['return_home_course']='Return to the course home page';
$string['home_course']='Home course';
$string['activities_page']='Activities Page';
$string['view_report']='View report';
$string['no_new_comment']='Messages already read ';
$string['new_comment']='New messages';
$string['move_up_assign']='Moves activity up';
$string['move_down_assign']='Moves activity down';
$string['delete_assign']='Delete activity ';
$string['delete_cancel']='Cancel delete';
$string['edit_assign']='Edit activity';
$string['last_assign']='Last solution posted.';
$string['confirm_delete_assign']='Activity successfully deletedo.';
$string['confirm_not_delete_assign']='Action canceled! Activity was not deleted.';
$string['hide_assign']='Hide activity';
$string['show_assign']='Show activity';
$string['add_assign']='Add activity';
$string['exercise']='Exercise';
$string['exercises']='Exercises';
$string['test']='Test';
$string['example']='Example';
$string['choose_type_activity']='Choose the type of activity';
$string['last_timedue'] = 'Period ended.';
$string['confirm_change_situation']='Confirms change of status?';
$string['erro_grade']='Inválido.A note of this value should be between 0 and';
$string['confirm_new_grade']='Click here to confirm the replacement of grade';
$string['confirm']='Confirm';
$string['submit_assign']='Submit assign';
$string['message_submit_assign']='Click here to send your response';
$string['submit_comment']='Send message';
$string['box_comment_message']='Enter your comments here';
$string['submit_comment_message']='Sending message';
$string['history_comments']='History of Comments';
$string['empty_comment']='Empty comment or repeated!';
$string['confirm_add_comment']='Comment sent successfully.';
$string['no_permission_assign']='User not allowed to view activities!';
$string['error_insert_submissions']='An error has occurred during recording of the submission of the activity. Inform the Administrator.';
$string['error_confirm_delete_assign']='Some error occurred while deleting activity. Inform the Administrator.';
$string['required']='Field is required';
$string['required_file']='You must fill in <u> File Activity </u>';
$string['author_id']='Author activity:';
$string['author_id_modified']='Last modified by:';
$string['author_empht']='Author unknown';
$string['ilimit']='Unlimited';
$string['attempts_exhausted']='Attempts have been exhausted.';
$string['dependency']='Dependency';
$string['independent_activity']='Independent activity';
$string['message_dependency']='To accomplish this activity is mandatory for all activities on which it depends has been performed and evaluated as correct. ';
$string['experiment_assign'] = 'Maximum number of attempts:';
$string['experiment_student'] = 'Number of attempts the student';
$string['description']='Description';
$string['file_jar']='File jar';
$string['new_file_jar']='New file jar';
$string['file_class']='File class';
$string['enable']='Enable';
$string['action']='Action';
$string['activity']='Activity';
$string['activities']='Activities';
$string['add_iMA']='Add iMA';
$string['activity_group']='Group activity by type?';

//messages of the report of roles and permissions
$string['ia:view']='Show activities';
$string['ia:editassign']='Adding and editing activities';
$string['ia:viewassignall']='Show all activities, including the disabled';
$string['ia:submitassign']='Send activity to recordo';
$string['ia:deleteassignnull']='Delete activity without submissions';
$string['ia:deleteassignnotnull']='Delete activity with submissions';
$string['ia:viewreport']='Show activity reports';
$string['ia:evaluateassign']='Evaluating activities';



$string['previous_timeavailable'] = 'Activity unavailable: wait for the deadline of opening.';
$string['experiment_student'] = 'Number of attempts:';
$string['experiment_assign'] = 'Retry limit:';
$string['incompatible_extension_file'] = 'File activity incompatible with the selected IMA.';

//
$string['script'] = 'Activity script (algorithm)? <br> (Applicable only to iLM iGeom)';
$string['automatic_evaluate'] = 'Using automatic evaluation activity?';
$string['show_answer'] = 'Show automatic evaluation results to students?';
$string['only_automatic_evaluate'] = 'AApplies only when the iLM is automatic evaluate';


//
$string['error_security'] = 'Error in recording the security table.';


//
$string['activity_empty'] = 'Activity sent without content.';



$string['submit_empty'] = 'The content of this activity has not changed! Please try develop another solution.';

//

$string['cancel'] ='Cancel.';
$string['info_ima'] ='Information about of E-Learning Modules (iLM)';
$string['confirm_lms'] ='Confirm iLM';
$string['no_confirm_lms'] ='Not confirm iLM';
$string['files_jar_ima'] ='List file (s) jar of iLM';
$string['add_file_jar']='File new JAR:';
$string['test_lms']='Click here to test iLM.';
$string['area_test_lms']='Area to test iLM';
$string['return_config_ima']='Back to main page iLM';
$string['maxsize']='Maximum size:';
$string['delete']='Delete';
$string['submit']='Submit the selected file';
$string['error_file_jar_exists']='There is already a jar file with this name!';
$string['edit_ima']='Edit Info iLM';
$string['error_file_jar_permission']='Error writing file jar without permission to write file.';
$string['error_cancel_delete'] ='Error deleting file. Check permissions.';
$string['cancel_delete'] ='The file was not deleted. Action canceled.';
$string['delete_confirm'] ='The file was deleted successfully.';
$string['unlock']='Unlock';
$string['delete_file_jar']='Yes';
$string['cancel_delete_file_jar']='No';
$string['confirm_delete_file_jar']='<b>Attention!</b> <br> Be careful not to delete a file by mistake.
                                    Delete a file that is in use by some activity
                                     will result in failure to load the activity.
                                    <br>Really delete the file';
$string['url_ima'] = 'URL:';

$string['next_activity'] = 'Próxima atividade';
$string['previous_activity'] = 'Atividade anterior';
$string['next_student'] = 'Próximo aluno';
$string['previous_student'] = 'Aluno anterior';

?>
