<?php

/** * @description  Brazilian Portuguese language pack.
 *  * @author Patricia Alves Rodrigues, Leônidas O. Brandão and Luciano Oliveira Borges
 *  * @version $Id: ia.php$ v 1.0 2010/09/27$
 *  * @package iAssign: Intective Assignments
 *  * @last modification date 2011/11/16
 *  *
 *  * iMatica - iMath (http://www.matematica.br)
 *  * Computer Science Dep. of IME-USP (Brazil)
 *  * */
/*------------------------------------------------------------------------------------ 
 * @author: Luciano Oliveira Borges
 * @last modification date 2013/04/02
------------------------------------------------------------------------------------ */
$string['online_new_ia'] = 'Criar/Editar Tarefa Interativa Online';
$string['error_null_ia'] = 'ERRO: O exercicio esta vazio, nao foi possivel salvar !!!';
$string['error_write_ia'] = 'ERRO: Nao foi possivel gravar a tarefa interativa !!!';
$string['label_write_ia'] = 'Gravar Atividade';
$string['sucess_write_ia'] = 'Tarefa interativa $a gravada com sucesso no diretorio do curso !!!';
$string['overwrite_file_ia'] = 'Está ação irá sobrescrever o arquivo, deseja continuar ?';
$string['title_editor_ia'] = 'Editor Online';
$string['help_button_ia'] = 'Ajuda com Editor Online (nova janela)';
$string['label_author_ia'] = 'Autor: ';
$string['label_title_ia'] = 'Título: ';
$string['label_course_ia'] = 'Curso: ';
$string['label_file_ia'] = 'Nome do Arquivo: ';
$string['question_version_ia'] = 'Este arquivo já existe, marque para gerar uma nova versão deste arquivo.';
//------------------------------------------------------------------------------------ 
$string['IA'] = 'TI';
$string['modulename'] = 'iTarefa';
$string['modulenameplural'] = 'iTarefas';
$string['iaintro'] = 'Introdução ao Módulo iTarefa';
$string['ianame'] = 'Tarefa Interativa';
$string['iatitle'] = 'Título';
$string['iafieldset'] = 'Configurações específicas';
$string['proposition'] = 'Enunciado';
$string['out_object'] = 'Objetos de saída';
$string['extension'] = 'Extensão';
$string['width'] = 'Largura';
$string['heigth'] = 'Altura';
$string['evaluate']='Avaliador automático';
$string['applet'] = 'Módulo de Aprendizagem (Applet)';
$string['answer'] = 'resposta';
$string['comment'] = 'Comentários';
$string['grade'] = 'Nota máxima';
$string['general'] = 'Geral';
$string['file'] = 'Arquivo da atividade';
$string['filenotfound'] = 'Arquivo da atividade não encontrado. Informe o professor.';
$string['updatinga'] = 'Atualizando uma $a';
$string['updatingain'] = 'Atualizando uma $a->what - $a->in';
$string['error_add'] = 'Ocorreu um erro durante a gravação da atividade.';
$string['error_update'] = 'Ocorreu um erro durante a atualização da atividade. Informe o administrador.';
$string['error_update_move_assign'] = 'Ocorreu um erro durante a atualização da ação &quot;mover atividade&quot;';
$string['error_update_visible_assign'] = 'Ocorreu um erro durante a atualização da ação exibir/ocultar atividade';
$string['error_insert'] = 'Ocorreu um erro ao gravar a submissão da Tarefa';
$string['timemodified'] = 'Data do último envio:';
$string['experiment'] = 'Número de tentativas:';
$string['sum_experiment'] = 'Total tentativas';
$string['avg_experiment'] = 'Média tentativas';
$string['showreport'] = 'Exibe relatório de atividades';
$string['no_activity'] = 'Nenhuma tarefa interativa foi encontrada neste tópico';
$string['delete_activity'] = 'Atividade a ser excluída:';
$string['number_submissions'] = 'Número de submissões relacionadas a esta atividade:';
$string['delete_activity_permission_adm']='Apenas o administrador do sistema pode excluir atividades com submissões.';
$string['not_submissions_activity'] = 'Não existem submissões relacionadas a esta atividade.';
$string['what_do'] = 'O que deseja fazer?';
$string['status'] = 'Situação:';
$string['incorrect'] = 'Incorreto';
$string['correct'] = 'Correto';
$string['not_post'] = 'Não enviado';
$string['post'] = 'Enviado';
$string['repeat'] = 'Refazer atividade';
$string['turneditingoff'] = 'Desativar edição';
$string['turneditingon'] = 'Ativar edição';
$string['area_available'] = 'Área de avaliação';
$string['assign_exercise'] = 'Atividade já foi do tipo &quot;exercicio&quot;';
$string['student'] = 'Estudante:';
$string['students'] = 'Estudantes';
$string['solution'] = 'Solução enviada pelo aluno';
$string['report'] = 'Relatório';
$string['availabledate'] = 'Disponível a partir de';
$string['duedate'] = 'Data de entrega';
$string['preventlate'] = 'Permitir envio atrasado?';
$string['permission_test'] = 'Permitir teste após prazo de entrega?';
$string['duedate_preventlate_enable'] = 'A resolução desta atividade ainda pode ser enviada.';
$string['duedate_preventlate_desable'] = 'A resolução desta atividade NÃO pode ser enviada.';
$string['get_answer_preventlate'] = 'Prazo de envio encerrado, sua resposta não foi registrada';
$string['test_preventlate'] = 'Tarefa liberada apenas para teste.';
$string['test_preventlate_no'] = 'Tarefa não liberada para teste.';
$string['graphic'] = 'Gráficos';
$string['print'] = 'Imprimir';
$string['print_report'] = 'Relatório - versão para impressão';
$string['legend'] = 'Legenda:';
$string['legend_evaluation'] = 'Legenda das avaliações:';
$string['legend_assign'] = 'Legenda das atividades:';
$string['ps_experiment'] = 'O número de tentativas encontra-se ao lado do ícone de estado da atividade';
$string['ps_comment'] = 'O número total de mensagens encontra-se ao lado do ícone de mensagens';
$string['Y_legend'] = '(está de acordo com o que o professor esperava)';
$string['N_legend'] = '(não está de acordo com o que o professor esperava)';
$string['empty_legend'] = '(atividade não foi enviada)';
$string['Y'] = 'S';
$string['yes'] = 'Sim';
$string['N'] = 'N';
$string['no'] = 'Não';
$string['empty'] = '-';
$string['total'] = 'Total';
$string['sum_correct'] = 'Total de acertos';
$string['sum_correct_student'] = 'Total de acertos/estudantes';
$string['sum_correct_activity'] = 'Total de acertos/atividade';
$string['get_answer'] = 'Solução enviada com sucesso.';
$string['get_answer_correct'] = 'Parabéns! A resposta está de acordo com o que o professor esperava.';
$string['get_answer_incorrect'] = 'A resposta não está de acordo com o que o professor esperava.<br> Tente novamente.';
$string['get_answer_post'] = 'Atividade sem avaliador automático. Aguarde pela avaliação do professor.';
$string['empty_answer_post'] = 'Nenhuma solução foi enviada.';
$string['auto_result'] = 'Resultado da avaliação automática:';

$string['extensionnotfound'] = 'Nenhum Módulo de Aprendizagem com essa extensão foi encontrado';
$string['submissions'] = 'Submissões';
$string['error_confirms_jar']='Erro: O arquivo não foi encontrado na base de dados. Informe ao administrador do sistema.';
$string['E_legend'] = '(atividade enviada) ';
$string['E'] = 'E';
$string['error_confirms_gab']='Erro: O arquivo da atividade está incompatível com o iMA. Informe ao professor do curso.';
$string['error_confirms_ima']='Erro: iMA não cadastrado no banco de dados. Informe ao administrador do sistema.';
$string['error_view_ima']='Erro: arquivo de exercício não encontrado. Informe ao professor do curso.';
$string['interactivy_learning_module'] = 'Módulo de Aprendizagem Interativa';
$string['choose_iMA'] = 'Escolha o iMA';
$string['iMA_extension'] = 'Módulo de Aprendizagem Interativa';
$string['iMA'] = 'iMA';
$string['name_ima'] = 'Nome do iMA';
$string['data_file_jar'] = 'Dados do arquivo JAR';
$string['category'] = 'Categoria';
$string['new_category'] = 'Nova categoria';
$string['category_ima_new'] = 'Este iMA é uma versão de algum já existente?';
$string['category_ima_yes'] = 'Se sim, indique qual:';
$string['op_val']='Opções de avaliação';
$string['type_assign']='Tipo de atividade';
$string['choose_type_assign']='Escolha o tipo da atividade';
$string['evaluate_assign']='Avaliando atividade';
$string['data_activity']='Dados da atividade';
$string['data_ima']='Dados do iMA';
$string['duration_activity']='Prazo da atividade';
$string['test_assign']='Tipo de atividade:<strong> teste</strong>';
$string['example_assign']='Tipo de atividade:<strong> exemplo</strong>';
$string['exercise_assign']='Tipo de atividade:<strong> exercicio</strong>';
$string['no_MA_POST_Archive']='Nenhuma solução foi enviada.';
$string['grade']='Nota da atividade:';
$string['grades']='Histório das avaliações';
$string['grade_assign']='Nota da atividade';
$string['grade_student']='Nota do aluno';
$string['changeto']='Alterar para&nbsp;';
$string['newsituation']='Nova situação...';
$string['area_specific_teacher']='Área específica para professor testar atividade';
$string['last_modification']='Última alteração realizada pelo professor(a):';
$string['config']='Configurações';
$string['config_ima']='Configurações dos Módulos de Aprendizagem Interativas (iMA)';
$string['config_ima_old']='Módulos de Aprendizagem Interativas (iMA) - versões antigas';
$string['visible']='Visível';
$string['show']='Mostrar';
$string['hide']='Ocultar';
$string['results'] = 'Resultados';
$string['distribution_activity']='Distribuição de acertos por atividade';
$string['percentage_correct']='Porcentagem de acertos';
$string['proportion_correct']='Proporção de acertos';
$string['distribution_student']='Distribuição de acertos por estudante';
$string['statistics']='Dados estatísticos';
$string['sum_activity']='Total de atividades';
$string['sum_student']='Total de estudantes';
$string['mean_score']='Média de acertos';
$string['standard_deviation']='Desvio padrão';
$string['coefficient_variation']='Coeficiente de variação';
$string['assign_update']='Atividade atualizada com sucesso.';
$string['assign_add']='Atividade adicionada com sucesso.';
$string['assign_cancel']='Alteração cancelada.';
$string['add_ia']='Adicionando uma Tarefa Interativa';
$string['edit_ia']='Editando uma Tarefa Interativa';
$string['add_ima']='Adicionar iMA';
$string['edit']='Editar';
$string['update']='Atualizar';
$string['empty_file']='Arquivo vazio';
$string['null_file']='Nenhum arquivo foi enviado';
$string['invalid_file_type']='Tipo de arquivo inválido';
$string['error_file_jar']='Erro ao gravar arquivo jar';
$string['error_add_ima']='Erro durante a gravação do novo iMA no Banco de Dados.';
$string['error_edit_ima']='Erro durante a atualização do iMA no Banco de Dados.';
$string['error_rename_ima']='Erro ao renomear arquivo  jar.';
$string['error_update_ima']='Erro ao atualizar iMA.';
$string['invalid_name_ima']='Já existe um iMA com o nome';
$string['invalid_extension_ima']='Já existe um iMA com a extensão ';
$string['invalid_filejar_ima']='Já existe um iMA com o arquivo jar ';
$string['auto_evaluate']='Possui avaliador automático?';
$string['new_ima']=' foi inserido com sucesso.';
$string['edit_ima']=' foi alterado com sucesso.';
$string['update_ima']=' foi atualizado com sucesso.';
$string['last_assign_correct']='A última solução enviada desta atividade foi avaliada como correta.';
$string['update_assign']='Deseja substituir atividade?';
$string['message_update_assign']='Clique aqui para substituir atividade';
$string['message_no_update_assign']='Clique aqui para manter atividade';
$string['return']='Retornar';
$string['return_assign']='Retornar ao exercício';
$string['return_home_course']='Retornar a página principal do curso';
$string['home_course']='Página do curso';
$string['activities_page']='Página de atividades';
$string['view_report']='Visualizar relatório';
$string['no_new_comment']='Recados lidos';
$string['new_comment']='Recados novos';
$string['move_up_assign']='Move atividade para cima';
$string['move_down_assign']='Move atividade para baixo';
$string['delete_assign']='Excluir atividade';
$string['delete_cancel']='Cancelar exclusão';
$string['edit_assign']='Editar atividade';
$string['last_assign']='Última solução enviada.';
$string['confirm_delete_assign']='Atividade excluída com sucesso.';
$string['confirm_not_delete_assign']='Ação cancelada! Atividade não foi excluída.';
$string['hide_assign']='Ocultar atividade';
$string['show_assign']='Exibir atividade';
$string['add_assign']='Adicionar atividade';
$string['exercise']='Exercício';
$string['exercises']='Exercícios';
$string['test']='Teste';
$string['example']='Exemplo';
$string['choose_type_activity']='Escolha o tipo da atividade';
$string['last_timedue'] = 'Prazo encerrado.';
$string['confirm_change_situation']='Confirma alteração da situação?';
$string['erro_grade']='Valor inválido.A nota desta deve ser entre 0 e';
$string['confirm_new_grade']='Clique aqui para confirmar a substituição da nota';
$string['confirm']='Confirmar';
$string['submit_assign']='Enviar tarefa';
$string['message_submit_assign']='Clique aqui para enviar sua resposta';
$string['submit_comment']='Enviar comentário';
$string['box_comment_message']='Digite aqui seu comentário';
$string['submit_comment_message']='Enviando comentário';
$string['history_comments']='Histórico de comentários';
$string['empty_comment']='Comentário vazio ou repetido!';
$string['confirm_add_comment']='Comentário enviado com sucesso.';
$string['no_permission_assign']='Usuário sem permissão para visualizar atividades!';
$string['error_insert_submissions']='Ocorreu algum erro durante gravaçao da submissão da atividade. Informe o Administrador.';
$string['error_confirm_delete_assign']='Ocorreu algum erro durante a exclusão da atividade. Informe o Administrador.';
$string['required']='É obrigatório o preenchimento deste campo';
$string['required_file']='É obrigatório preencher o campo <u> Arquivo da atividade </u>';
$string['author_id']='Autor da atividade:';
$string['author_id_modified']='Última alteração realizada por:';
$string['author_empht']='Autor desconhecido';
$string['ilimit']='ilimitada';
$string['dependency']='Dependências';
$string['message_dependency']='Para realizar esta atividade é obrigatório que todas as atividades da qual esta depende tenha sido realizada e avaliada como correta. ';
$string['attempts_exhausted']='Tentativas esgotadas.';
$string['independent_activity']='Atividade independente';

$string['description']='Descrição';
$string['file_jar']='Arquivo jar';
$string['new_file_jar']='Novo arquivo jar';
$string['file_class']='Arquivo class';
$string['enable']='Habilitado';
$string['action']='Ação';
$string['activity']='Atividade';
$string['activities']='Atividades';
$string['add_iMA']='Adicionar iMA';
$string['activity_group']='Agrupar atividade por tipo?';

//mensagens do relatório de funções e permissões
$string['ia:view']='Visualizar atividades';
$string['ia:editassign']='Adicionar e editar atividades';
$string['ia:viewassignall']='Visualizar todas as atividades, inclusive as desabilitadas';
$string['ia:submitassign']='Enviar atividade para registro';
$string['ia:deleteassignnull']='Excluir atividade sem submissões';
$string['ia:deleteassignnotnull']='Excluir atividade com submissões';
$string['ia:viewreport']='Visualizar relatórios de atividades';
$string['ia:evaluateassign']='Avaliar atividades';

$string['previous_timeavailable'] = 'Atividade indisponível: aguarde o prazo de abertura.';
$string['experiment_student'] = 'Número de tentativas:';
$string['experiment_assign'] = 'Limite de tentativas:';
$string['incompatible_extension_file'] = 'Arquivo da atividade incompatível com o iMA selecionado.';


//
$string['script'] = 'Atividade com script (algoritmo)? <br>(Aplicável apenas ao iMA iGeom)';
$string['automatic_evaluate'] = 'Usar avaliação automática na atividade?';
$string['show_answer'] ='Mostrar resultado da avaliação automática aos alunos?';
$string['only_automatic_evaluate'] = 'Aplicável apenas quando iMA tem avaliador automático';

//
$string['error_security'] = 'Ocorreu um erro durante gravação na tabela de segurança.';

//
$string['activity_empty'] = 'Atividade enviada sem conteúdo.';
$string['submit_empty'] = 'O conteúdo da tarefa não foi alterado!  Por favor, tente elaborar uma solucão.';

//

$string['cancel'] ='Cancelado.';
$string['info_ima'] ='Informações sobre o Módulo de Aprendizagem Interativa (iMA)';

$string['confirm_lms'] ='Validar iMA';
$string['no_confirm_lms'] ='Não validar iMA';

$string['files_jar_ima'] ='Relação de arquivo(s) jar do iMA';
$string['add_file_jar']='Novo arquivo JAR:';
$string['test_lms']='Clique aqui para testar iMA.';
$string['area_test_lms']='Área para testar iMA';
$string['return_config_ima']='Retornar à página principal dos iMA';
$string['maxsize']='Tamanho máximo:';
$string['delete']='Excluir';
$string['submit']='Enviar arquivo selecionado';
$string['error_file_jar_exists']='Já existe um arquivo jar com esse nome!';
$string['edit_ima']='Editar informações do iMA';
$string['error_file_jar_permission']='Erro ao gravar arquivo jar, sem permissão para gravar arquivo.';
$string['error_cancel_delete'] ='Erro ao excluir arquivo. Verifique as permissões.';
$string['cancel_delete'] ='O arquivo não foi excluído. Ação cancelada.';
$string['delete_confirm'] ='O arquivo foi excluído com sucesso.';
$string['unlock']='Bloqueado';
$string['delete_file_jar']='Sim';
$string['cancel_delete_file_jar']='Não';
$string['confirm_delete_file_jar']='<b>Atenção!</b> <br> Cuidado para não excluir um arquivo por engano.
                                    Excluir um arquivo que esteja em uso por alguma atividade 
                                    implicará em falha no carregamento da atividade.
                                    <br>Confirma exclusão do arquivo';
$string['url_ima'] = 'URL:';

$string['next_activity'] = 'Activity next';
$string['previous_activity'] = 'Activity previous';
$string['next_student'] = 'Student next';
$string['previous_student'] = 'Student previous';


?>
